package com.zebrunner.reporting.service.exception;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum MalformedInputError implements com.zebrunner.common.eh.error.MalformedInputError {

    INVALID_FILE_SIZE(2400),
    INVALID_FILE_FORMAT(2401),
    REQUIRED_INTEGRATION_SETTINGS(2402),
    NO_BUILD_LAUNCHER_JOB_SPECIFIED(2403),
    REQUIRED_JOB_ARGUMENTS_NOT_FOUND(2404),
    TEST_RUN_UNABLE_TO_RERUN_PASSED(2405),
    MAX_TWEETS_LIMIT_EXCEEDED(2406),
    UNABLE_TO_PREPARE_WIDGET_TEMPLATE_DATA(2407),
    INVALID_PATCH_OPERATION(2408),
    EMPTY_MANDATORY_INTEGRATION_SETTINGS(2409),
    DUPLICATE_INTEGRATION_SETTINGS(2410),
    INVALID_PATCH_VALUE(2411),
    NO_TEST_RUN_REF_SUPPLIED(2412),
    PATCH_REQUEST_VALUE_HAS_WRONG_TYPE(2413),
    PATCH_REQUEST_WRONG_ENUM_VALUE(2414),
    DUPLICATE_TEST_FOR_BATCH_ISSUE_LINKING(2415),
    DUPLICATE_ARTIFACT_REFERENCE_NAMES(2416),
    INVALID_URL_FORMAT(2417),
    REQUIRED_ENV_VARIABLES_MISSED_FOR_CI(2418);

    private final int code;

}
